create_clock -name sys_clk -period 10 [get_ports PCIE_REFCLK_P]

set_property CONFIG_VOLTAGE 1.8 [current_design]

set_false_path -from [get_ports PCIE_PERST_B_LS]
set_property LOC [get_package_pins -filter {PIN_FUNC == IO_T3U_N12_PERSTN0_65}] [get_ports PCIE_PERST_B_LS]

set_property LOC [get_package_pins -of_objects [get_bels [get_sites -filter {NAME =~ *COMMON*} -of_objects [get_iobanks -of_objects [get_sites GTYE4_CHANNEL_X1Y35]]]/REFCLK0P]] [get_ports PCIE_REFCLK_P]
set_property LOC [get_package_pins -of_objects [get_bels [get_sites -filter {NAME =~ *COMMON*} -of_objects [get_iobanks -of_objects [get_sites GTYE4_CHANNEL_X1Y35]]]/REFCLK0N]] [get_ports PCIE_REFCLK_N]

set_property -dict "IOSTANDARD LVCMOS18 PULLUP true" [get_ports PCIE_PERST_B_LS]

set_property PACKAGE_PIN AT32 [get_ports "GPIO_LED[0]"]
set_property PACKAGE_PIN AV34 [get_ports "GPIO_LED[1]"]
set_property PACKAGE_PIN AY30 [get_ports "GPIO_LED[2]"]
set_property PACKAGE_PIN BB32 [get_ports "GPIO_LED[3]"]
set_false_path -to [get_ports -filter {NAME=~GPIO_LED*}]
set_property -dict "IOSTANDARD LVCMOS12 DRIVE 8" [get_ports -filter {NAME=~GPIO_LED*}]

# Setting false paths by clock grouping
# sys_clk and pipe_clk:
set_clock_groups -name async1 -asynchronous -group [get_clocks {sys_clk}] \
    -group [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */*gt_top_i/*/phy_clk_i/bufg_gt_pclk/O}]]
# sys_clk and all TXOUTCLKs:
set_clock_groups -name async2 -asynchronous -group [get_clocks {sys_clk}] \
    -group [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ *gen_channel_container[*].*gen_gtye4_channel_inst[*].GTYE4_CHANNEL_PRIM_INST/TXOUTCLK}]]

